
/**
 * Ajaxify the start/stop form
 */
 
var node_time_tracker_timeoutid = 0;

Drupal.node_time_trackerButtonAutoAttach = function() {
  $('#block-node_time_tracker-0 input[@type=submit]').click(function() {
    var button = $(this);

    var html = $.ajax({
      url: '/node/'+ nid +'/ntt/toggle',
      dataType: "json",
      success: function(result){
        if (result['status']) {
          button.val('Stop');
          node_time_tracker_timeoutid = setTimeout("node_time_trackerRefresh()", 15000); 
        }
        else {
          button.val('Start');
          clearTimeout(node_time_tracker_timeoutid);
        }
        $('#block-node_time_tracker-0 .time_tracker_status').remove();
        $('#block-node_time_tracker-0 form').after(result['message']);
        
      }
    });

    return false;
  });
}

function node_time_trackerAttachRefresh () {
    var button = $('#block-node_time_tracker-0 input[@type=submit]');
    if (button.val() == "Stop") {
      node_time_trackerRefresh();
    }
}

function node_time_trackerRefresh () {

    var html = $.ajax({
      url: '/node/'+ nid +'/ntt/refresh',
      dataType: "json",
      success: function(result){
        $('#block-node_time_tracker-0 .time_tracker_spend_subtotal').remove();
        $('#block-node_time_tracker-0 .time_tracker_status').after(result['message']);
      }
    });
    node_time_tracker_timeoutid = setTimeout("node_time_trackerRefresh()", 15000); 

    return false;
}

// Global Killswitch
if (Drupal.jsEnabled) {
  $(document).ready(Drupal.node_time_trackerButtonAutoAttach);
  $(document).ready(node_time_trackerAttachRefresh);
}
